Package org.snpeff.align

# Class VariantRealign

java.lang.Object
org.snpeff.align.VariantRealign

public class VariantRealign extends Object
Re-align a variant towards the leftmost (rightmost) position Note: We perform a 'progressive' realignment, asking for more reference sequence as we need it

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INITIAL_BASES_EXTRA`
`static final int`
`INITIAL_BASES_MULTIPLIER`
`static final int`
`MAX_ITERATIONS`
`static final int`
`PROGRESSIVE_BASES_EXTRA`
`static final int`
`PROGRESSIVE_BASES_MULTIPLIER`

## Constructor Summary

Constructors
Constructor
Description
`VariantRealign()`
`VariantRealign(Variant variant)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAltRealign()`
`String`
`getRefRealign()`
`Variant`
`getVariantRealigned()`
`boolean`
`realign()`
Realign variant
`void`
`realignSeqs()`
Realignment
`void`
`setAlignLeft()`
`void`
`setAlignRight()`
`void`
`setDebug(boolean debug)`
`void`
`setSequenceAlt(String sequenceAlt)`
`void`
`setSequenceRef(String sequenceRef)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INITIAL_BASES_MULTIPLIER

public static final int INITIAL_BASES_MULTIPLIER

See Also:
  - Constant Field Values

### INITIAL_BASES_EXTRA

public static final int INITIAL_BASES_EXTRA

See Also:
  - Constant Field Values

### PROGRESSIVE_BASES_MULTIPLIER

public static final int PROGRESSIVE_BASES_MULTIPLIER

See Also:
  - Constant Field Values

### PROGRESSIVE_BASES_EXTRA

public static final int PROGRESSIVE_BASES_EXTRA

See Also:
  - Constant Field Values

### MAX_ITERATIONS

public static final int MAX_ITERATIONS

See Also:
  - Constant Field Values

## Constructor Details

### VariantRealign

public VariantRealign()

### VariantRealign

public VariantRealign(Variant variant)

## Method Details

### getAltRealign

public String getAltRealign()

### getRefRealign

public String getRefRealign()

### getVariantRealigned

public Variant getVariantRealigned()

### realign

public boolean realign()
Realign variant

Returns:
  true if variant was realigned and a new variant (different than the original one) was created. false if it wasn't realigned or there was an error

### realignSeqs

public void realignSeqs()
Realignment

### setAlignLeft

public void setAlignLeft()

### setAlignRight

public void setAlignRight()

### setDebug

public void setDebug(boolean debug)

### setSequenceAlt

public void setSequenceAlt(String sequenceAlt)

### setSequenceRef

public void setSequenceRef(String sequenceRef)

### toString

public String toString()

Overrides:
  `toString` in class `Object`